<header>
  <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <a class="navbar-brand" routerLink="/">
      <img src="assets/logo.png" width="30" height="30" class="d-inline-block align-top" alt="Feuerwehr Drosendorf" loading="lazy">
      Feuerwehr Drosendorf
    </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item" routerLinkActive="active">
          <a class="nav-link" routerLink="/">Home <span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item float-right">
          <a class="nav-link" href="https://ff-drosendorf.com">Website</a>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown"
             aria-haspopup="true" aria-expanded="false">
            Gewässer
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a *ngFor="let river of rivers" class="dropdown-item"  routerLink="/rivers/{{river.id}}">{{river.name}}</a>
          </div>
        </li>
      </ul>
    </div>
  </nav>
</header>
<div class="container" *ngIf="rivers.length == 0">
  <br>
  <p class="lead">Leider gibt es noch keine Messstellen.</p>
</div>

<router-outlet *ngIf="rivers.length > 0"></router-outlet>

<footer class="footer bg-light">
  <div class="row">
    <div class="mx-auto">
      <p class="text-center">
        © 2021 <a class="text-reset fw-bold" href="https://datepollsystems.org">DatepollSystems</a>
      </p>
    </div>
  </div>
</footer>
